devguard

Asset reviews

Create an asset review.

POST
/asset-reviews/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/asset-reviews/" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "organizationId": "string",    "coordinatorId": "string"  }'
{
  "id": "string",
  "shortId": -9007199254740991,
  "title": "string",
  "notes": "string",
  "createdAt": "string",
  "finishedAt": "string",
  "deadline": "string",
  "archivedAt": "string",
  "priorityFilter": "ALL",
  "organizationId": "string",
  "coordinatorId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?